Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1202569 - combination of KDE oxygen widget appearance, under gnome, with filezilla, possibly WxWidgets
Summary: combination of KDE oxygen widget appearance, under gnome, with filezilla, pos...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: filezilla
Version: 21
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Nicolas Chauvet (kwizart)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-16 22:45 UTC by Emily Tench
Modified: 2015-12-02 17:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 10:10:04 UTC
Type: Bug


Attachments (Terms of Use)

Description Emily Tench 2015-03-16 22:45:57 UTC
Description of problem:

When the KDE oxygen widget appearance is used, under Gnome, FileZilla does not render correctly and is unusable. I don't have time to fix it any time soon, so I keep switching to default widgets whenever I need to use FileZilla - I have been using this configuration under Ubuntu for ages, but first experienced this problem when I needed to change my distribution to Fedora 21.


Version-Release number of selected component (if applicable):

filezilla.x86_64 3.9.0.6-1.fc21
I'm not sure which other packages are relevant to the problem, but everything is up to date with Fedora 21 and rpmfusion, it's been a persistent problem that I've been experiencing with Fedora 21. If I can find time to look into the problem, the first places I'm thinking about looking is the combination of wxGTK/wxGTK3 packages, KDE oxygen widgets, and of course filezilla.


How reproducible:
very


Steps to Reproduce:
Start a KDE session and set an oxygen theme. Logout and start a Gnome session, then set widget appearance to oxygen-gtk with the gnome tweak tool (this makes widgets for both KDE and GTK apps match - I do design work so this is important to me). When Filezilla is opened, the top two panels do not render correctly and the application is unusable. I have not experienced this problem ever with Ubuntu or it's derivatives.

Actual results:
Top two panels of filezilla application does not render correctly.

Expected results:
The application should be usable.

Additional info:
Everything else works fine and nothing outlandish has been done with my package configuration.

Comment 1 Elia Devito 2015-04-30 22:23:55 UTC
Duplicate/correlated to 1177532?

Comment 2 Fedora End Of Life 2015-11-04 12:14:28 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-12-02 10:10:07 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.